Ticket #16100

Plugin機構の改修

Open Date: 2009-04-11 13:01 Last Update: 2009-05-17 03:11

Reporter:
Owner:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

以下のチケットはまとめて処理します.

プラグインは,以下のように変更する.

  • 名前空間はすべて除去
    • ファイル名:Plugin/Logwriter/Ethna_Plugin_Logwriter_Echo.php -> Plugin/Logwriter/Echo.php
    • クラス名:Ethna_Plugin_Logwriter_Echo -> Plugin_Logwriter_Echo
  • 検索順序の変更
    • app/plugin/ 以下を絶対パスで検索
    • Ethna/extlib/Plugin 以下を相対パスで検索(これにより,include_path が考慮され,lib 以下や,Ethnaのmaster(サーバにインストールされているもの)を意識することはない

Ticket History (3/4 Histories)

2009-04-11 13:01 Updated by: sotarok
  • New Ticket "Plugin機構の改修" created
2009-05-16 09:01 Updated by: None
2009-05-17 02:35 Updated by: sotarok
2009-05-17 03:11 Updated by: sotarok
  • Resolution Update from None to Fixed
  • Status Update from Open to Closed
  • Ticket Close date is changed to 2009-05-17 03:11
Comment

r822 でアイデアブランチからマージ

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login